---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: moodle-api
spec:
  template:
    spec:
      containers:
        - name: moodle-api
          env:
            - name: TTL
              value: "60"
            - name: HOMEROOT
              value: /mnt
            - name: GUNICORN_CMD_ARGS
              value: "--timeout=60"
            - name: AUTH_USER
              value: {{ moodleapi_auth_user }}
            - name: AUTH_KEY
              value: {{ moodleapi_auth_key }}
